Page MenuHomePhabricator

Create CoC committee private wiki
Closed, ResolvedPublic

Description

During our meeting at Vienna, we decided to create a private wiki to archive the cases.

Settings

  • Domain: techconduct.wikimedia.org
  • private
  • Extensions: Flow

Event Timeline

Dereckson added a subscriber: Dereckson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2017, 11:45 AM

Change 354954 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/dns@master] Add techconduct.wikimedia.orgfor new private wiki

https://gerrit.wikimedia.org/r/354954

Change 354959 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/puppet@production] Apache: add techconduct.wm.o to remnant sites

https://gerrit.wikimedia.org/r/354959

Change 354960 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/puppet@production] Don't replicate techconductwiki to labs

https://gerrit.wikimedia.org/r/354960

Dereckson added a comment.EditedMay 21 2017, 12:38 PM

@tomasz Could you prepare a logo based on the community logo, with "CoC committee" written at the bottom please?

Dereckson added projects: Operations, DBA.

Adding DBA for the PRIVATE database part and to notify them we're creating a new private wiki.
Adding Operations for Apache :80 redirect and for DNS.

Dereckson reassigned this task from Dereckson to jcrespo.EditedMay 21 2017, 1:30 PM

Jaime, I assign this task yo you to block it until you give us a green light replication to labs is disabled. I prepared https://gerrit.wikimedia.org/r/354960 for that by the way.

Please reassign me the task when you've greenlighted it and I'll take care of the next steps.

Change 354985 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Set initial configuration for techconduct.wikimedia.org

https://gerrit.wikimedia.org/r/354985

Dereckson triaged this task as Normal priority.May 21 2017, 2:07 PM

Hi!

Thanks for the patch to realm.pp - it looks good (I have commented on the gerrit patch).
From our side I believe we only need to merge that changeset, run puppet and restart the sanitarium hosts' mysql instance to get the new replication filters.

If you prefer to merge the patch yourself, just feel free to do so, and ping me so I can take care of restarting MySQL on the hosts -if you want me to merge the patch, I can also do that for you. Let me know whichever your preference is.

Thanks!

Thanks for the quick review. Yes, you can merge the change, I've a deployment access, not ops access, so I can't merge it.

Florian updated the task description. (Show Details)May 22 2017, 7:33 AM

Marostegui, you can deploy and restart if you want, Dereckson cannot do that.

Change 354960 merged by Marostegui:
[operations/puppet@production] Don't replicate techconductwiki to labs

https://gerrit.wikimedia.org/r/354960

Mentioned in SAL (#wikimedia-operations) [2017-05-22T08:50:17Z] <marostegui> Restart mysql on db1095 to apply new replication filters - T165977

Mentioned in SAL (#wikimedia-operations) [2017-05-22T08:55:45Z] <marostegui> Restart mysql on db1069 to apply new replication filters - T165977

Marostegui moved this task from Triage to Done on the DBA board.May 22 2017, 9:02 AM

Both sanitarium hosts have been restarted and they have the new wiki replication filters like:

techconductwiki.%

db1095 (which has 3 replication threads)

root@neodymium:/home/marostegui/git/software/dbtools# mysql --skip-ssl -hdb1095 -e "show all slaves status\G" | grep techconductwiki | wc -l
3

db1069:

root@neodymium:/home/marostegui/git/software/dbtools# for i in `seq 1 7`; do echo "Instance P331${i}"; mysql --skip-ssl -hdb1069 -P331${i} -e "show slave status\G " | grep techconductwiki | wc -l;done
Instance P3311
1
Instance P3312
1
Instance P3313
1
Instance P3314
1
Instance P3315
1
Instance P3316
1
Instance P3317
1

I believe the DBA part is now done.

Marostegui removed jcrespo as the assignee of this task.May 22 2017, 9:03 AM
Marostegui added a subscriber: jcrespo.

Let's also schedule a custom check of check_private_data when it gets added to the private wiki list.

Let's also schedule a custom check of check_private_data when it gets added to the private wiki list.

Sounds like a very healthy idea! :)

Looks good to me. I've cc to the task some other members, so we'll get perhaps more feedback.

Change 354954 merged by Dzahn:
[operations/dns@master] Add techconduct.wikimedia.org for new private wiki

https://gerrit.wikimedia.org/r/354954

Wiki scheduled for creation 2017-07-12 10:00–13:00 UTC.

Change 354985 merged by jenkins-bot:
[operations/mediawiki-config@master] Set initial configuration for techconduct.wikimedia.org

https://gerrit.wikimedia.org/r/354985

Change 364709 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Revert "Set initial configuration for techconduct.wikimedia.org"

https://gerrit.wikimedia.org/r/364709

Change 364709 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Set initial configuration for techconduct.wikimedia.org"

https://gerrit.wikimedia.org/r/364709

Dereckson added a comment.EditedJul 12 2017, 12:41 PM

Wiki creation is postponed, as all isn't ready from ops point of view.

Next step is to merge Apache configuration — https://gerrit.wikimedia.org/r/354959

Change 354959 merged by Filippo Giunchedi:
[operations/puppet@production] Apache: add techconduct.wm.o to remnant sites

https://gerrit.wikimedia.org/r/354959

Change 368415 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Revert "Revert "Set initial configuration for techconduct.wikimedia.org""

https://gerrit.wikimedia.org/r/368415

Seems we're waiting for real wiki creation.

Change 368415 merged by jenkins-bot:
[operations/mediawiki-config@master] "Set initial configuration for techconduct.wikimedia.org" take 2

https://gerrit.wikimedia.org/r/368415

Reedy closed this task as Resolved.Aug 3 2017, 3:32 PM
Reedy removed a project: Patch-For-Review.
Reedy added a subscriber: Reedy.

Wiki has been created.

Initial user needs creating via createAndPromote, but @Dereckson is more than capable of doing that

Change 369928 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Add hiwikiversity, techconductwiki and wikimania2018wiki

https://gerrit.wikimedia.org/r/369928

Change 369928 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add hiwikiversity, techconductwiki and wikimania2018wiki

https://gerrit.wikimedia.org/r/369928

Hi guys!
Please review this: T178868#3705667 as it looks like the flow extension table isn't created.

Marostegui reopened this task as Open.Oct 24 2017, 8:21 AM
Marostegui closed this task as Resolved.Oct 24 2017, 12:41 PM

The flow table issue was handled (and fixed) at T178868
Thanks @Reedy!

I've prepared https://gerrit.wikimedia.org/r/#/c/386180/ so Flow tables will be present for the next private wiki.

Reedy added a comment.Oct 24 2017, 1:48 PM

I've prepared https://gerrit.wikimedia.org/r/#/c/386180/ so Flow tables will be present for the next private wiki.

I filed T178886 and made https://gerrit.wikimedia.org/r/386159

This doesn't affect fishbowl

],
// Use separate database on extension1 cluster for all non-private wikis.
'wmgFlowDefaultWikiDb' => [
	'default' => 'flowdb',
	'private' => false,
	'wikitech' => false, // T127792
],